%global         momorel 6

Name:           perl-Mozilla-CA
Version:        20130114
Release:        %{momorel}m%{?dist}
Summary:        Mozilla's CA cert bundle in PEM format
License:        "Distributable"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Mozilla-CA/
Source0:        http://www.cpan.org/authors/id/A/AB/ABH/Mozilla-CA-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.006
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-Test
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
Mozilla::CA provides a copy of Mozilla's bundle of Certificate Authority
certificates in a form that can be consumed by modules and libraries based
on OpenSSL.

%prep
%setup -q -n Mozilla-CA-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README update-cacert-file
%{perl_vendorlib}/Mozilla/mk-ca-bundle.pl
%{perl_vendorlib}/Mozilla/CA.pm
%{perl_vendorlib}/Mozilla/CA
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (20130114-6m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (20130114-5m)
- rebuild against perl-5.18.2

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (20130114-4m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (20130114-3m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (20130114-2m)
- rebuild against perl-5.16.3

* Tue Jan 15 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (20130114-1m)
- update to 20130114

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (20120823-2m)
- rebuild against perl-5.16.2

* Wed Aug 22 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (20120823-1m)
- update to 20120823

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (20120309-3m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (20120309-2m)
- rebuild against perl-5.16.0

* Sun Mar 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (20120309-1m)
- update to 20120309

* Tue Oct 25 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (20111025-1m)
- update to 20111025

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (20110914-2m)
- rebuild against perl-5.14.2

* Thu Sep 15 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (20110914-1m)
- update to 20110914

* Sun Sep  4 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (20110904-1m)
- update to 20110904

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (20110409-4m)
- rebuild against perl-5.14.1

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (20110409-3m)
- rebuild against perl-5.14.0-0.2.1m

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (20110409-2m)
- rebuild for new GCC 4.6

* Sun Apr 10 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (20110409-1m)
- update to 20110409

* Wed Mar 09 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (20110301-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
